Loading...
Searching...
No Matches
SmartFactorBase.h File Reference

Base class to create smart factors on poses or cameras. More...

Go to the source code of this file.

## Classes

class | gtsam::SmartFactorBase< CAMERA >
| Base class for smart factors. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Variables

template<class CAMERA>
const int | gtsam::SmartFactorBase< CAMERA >::Dim
template<class CAMERA>
const int | gtsam::SmartFactorBase< CAMERA >::ZDim

## Detailed Description

Base class to create smart factors on poses or cameras.

Author
  Luca Carlone
  Antoni Rosinol
  Zsolt Kira
  Frank Dellaert
  Chris Beall